<?php
/**
 * Validador para el precio de una demanda
 */
class PrecioDemandaBtMalagaValidador extends ValidadorPicasso {
	
	private $demandante;
	
	/**
	 * Asigna el demantante.
	 */
	public function setDemandante($demandante) {
		$this->demandante = $demandante;
	}
	
	/**
	 * Implemente la validación.
	 */	
	public function validar($campoEditable) {
		$error = false;
		$valor = $campoEditable->getField()->Value();
	    if (!is_numeric($valor)) {			
			$error = 'El campo '.$campoEditable->getNombre().' no es un numero valido';
		} else {
			if (!$this->demandante->tieneCredito($valor)) {
			  $error = 'El demandante no tiene el cr&eacute;dito suficiente';
			}  
		}	
		
		return $error;
	}
}
?>